<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBookmarksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bookmarks', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('initial_url');
            $table->unsignedBigInteger('folder_id')->index('bookmarks_folder_id_foreign');
            $table->unsignedBigInteger('document_id')->index('bookmarks_document_id_foreign');
            $table->unsignedBigInteger('visits')->default(0);
            $table->timestamps();
            $table->string('custom_title')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bookmarks');
    }
}
